doinst () 
{ 
    rm -f usr/bin/htmlview;
    cat  > usr/bin/htmlview <<EOF
#!/bin/sh
exec xdg-open "\$@"
EOF

    chmod 755 usr/bin/htmlview;
    rm -f var/log/setup/setup.xwmconfig;
    if [ -f etc/X11/xinit/xinitrc.xfce ]; then
        unlink etc/X11/xinit/xinitrc;
        cp -f etc/X11/xinit/xinitrc.xfce etc/X11/xinit/xinitrc;
    else
        if [ -f etc/X11/xinit/xinitrc.mate ]; then
            unlink etc/X11/xinit/xinitrc;
            cp -f etc/X11/xinit/xinitrc.mate etc/X11/xinit/xinitrc;
        else
            if [ -f etc/X11/xinit/xinitrc.kde ]; then
                unlink etc/X11/xinit/xinitrc;
                cp -f etc/X11/xinit/xinitrc.kde etc/X11/xinit/xinitrc;
            else
                if [ -f etc/X11/xinit/xinitrc.gnome ]; then
                    unlink etc/X11/xinit/xinitrc;
                    cp -f etc/X11/xinit/xinitrc.gnome etc/X11/xinit/xinitrc;
                else
                    if [ -f etc/X11/xinit/xinitrc.lxde ]; then
                        unlink etc/X11/xinit/xinitrc;
                        cp -f etc/X11/xinit/xinitrc.lxde etc/X11/xinit/xinitrc;
                    else
                        if [ -f etc/X11/xinit/xinitrc.openbox ]; then
                            unlink etc/X11/xinit/xinitrc;
                            cp -f etc/X11/xinit/xinitrc.openbox etc/X11/xinit/xinitrc;
                        else
                            if [ -f etc/X11/xinit/xinitrc.e16 ]; then
                                unlink etc/X11/xinit/xinitrc;
                                cp -f etc/X11/xinit/xinitrc.e16 etc/X11/xinit/xinitrc;
                            else
                                if [ -f etc/X11/xinit/xinitrc.fluxbox ]; then
                                    unlink etc/X11/xinit/xinitrc;
                                    cp -f etc/X11/xinit/xinitrc.fluxbox etc/X11/xinit/xinitrc;
                                else
                                    if [ -f etc/X11/xinit/xinitrc.icewm ]; then
                                        unlink etc/X11/xinit/xinitrc;
                                        cp -f etc/X11/xinit/xinitrc.icewm etc/X11/xinit/xinitrc;
                                    else
                                        if [ -f etc/X11/xinit/xinitrc.windowmaker ]; then
                                            unlink etc/X11/xinit/xinitrc;
                                            cp -f etc/X11/xinit/xinitrc.windowmaker etc/X11/xinit/xinitrc;
                                        else
                                            if [ -f etc/X11/xinit/xinitrc.pekwm ]; then
                                                unlink etc/X11/xinit/xinitrc;
                                                cp -f etc/X11/xinit/xinitrc.pekwm etc/X11/xinit/xinitrc;
                                            else
                                                if [ -f etc/X11/xinit/xinitrc.jwm ]; then
                                                    unlink etc/X11/xinit/xinitrc;
                                                    cp -f etc/X11/xinit/xinitrc.jwm etc/X11/xinit/xinitrc;
                                                else
                                                    if [ -f etc/X11/xinit/xinitrc.icewm ]; then
                                                        unlink etc/X11/xinit/xinitrc;
                                                        cp -f etc/X11/xinit/xinitrc.icewm etc/X11/xinit/xinitrc;
                                                    else
                                                        if [ -f etc/X11/xinit/xinitrc.ratpoison ]; then
                                                            unlink etc/X11/xinit/xinitrc;
                                                            cp -f etc/X11/xinit/xinitrc.ratpoison etc/X11/xinit/xinitrc;
                                                        fi;
                                                    fi;
                                                fi;
                                            fi;
                                        fi;
                                    fi;
                                fi;
                            fi;
                        fi;
                    fi;
                fi;
            fi;
        fi;
    fi;
    if [ ! -x usr/bin/Xorg ]; then
        sed -i "s/id:.:initdefault/id:3:initdefault/" etc/inittab;
    fi;
    if [ -d usr/share/icons/obsidian-cursors ]; then
        ( cd usr/share/icons;
        ln -sf obsidian-cursors default );
    else
        if [ -d usr/share/icons/Oxygen_Black ]; then
            ( cd usr/share/icons;
            ln -sf Oxygen_Black default );
        fi;
    fi;
    [ -f etc/rc.d/rc.font.new ] && rm -f etc/rc.d/rc.font.new;
    if [ ! -f etc/rc.d/rc.keymap ]; then
        echo "#!/bin/sh" > etc/rc.d/rc.keymap;
        echo "# Load the keyboard map.  More maps are in /usr/share/kbd/keymaps." >> etc/rc.d/rc.keymap;
        echo "if [ -x /usr/bin/loadkeys ]; then" >> etc/rc.d/rc.keymap;
        echo " /usr/bin/loadkeys -u us.map" >> etc/rc.d/rc.keymap;
        echo "fi" >> etc/rc.d/rc.keymap;
        chmod 755 etc/rc.d/rc.keymap;
    fi;
    if [ ! -h sbin/mkfs.msdos ]; then
        ( cd sbin;
        ln -sf mkdosfs mkfs.msdos );
    fi;
    mv etc/rc.d/rc.services.new etc/rc.d/rc.services;
    if [ -f usr/share/applications/kde4/kplatowork.desktop ]; then
        sed -i "s/^Categories=.*/Categories=Qt;KDE;Office;/" usr/share/applications/kde4/kplatowork.desktop;
    fi;
    if [ -f etc/gamin/gaminrc ]; then
        sed -i "s/poll 15/kernel/" etc/gamin/gaminrc;
    fi;
    ( cd etc/ppp;
    ln -sf ../resolv.conf resolv.conf );
    if [ -x usr/bin/gdmflexiserver ]; then
        sed -i "s/^\*newLoginCommand:.*/\*newLoginCommand:   gdmflexiserver -ls/" etc/X11/app-defaults/XScreenSaver;
    fi;
    if [ -f etc/cups/cupsd.conf ]; then
        sed -i "s/^SystemGroup sys root/SystemGroup sys root wheel/" etc/cups/cupsd.conf;
    fi;
    if [ -f usr/share/grub-scripts/grub-default-slackel ]; then
        cp -f usr/share/grub-scripts/grub-default-slackel etc/default/grub;
    fi
}
doinst
